import os


save_dir =  'generated_patch'
proxy_datas = ['ImageNet','uniform','white','black','ensemble','KITTI','MSCOCO']
groups = ['1','2']
model = 'resnet18'

for proxy_data in proxy_datas:
    for group in groups:
        p = ' --proxy-data ' +'\'' + proxy_data +'\''
        m = ' --model '+ '\'' + model +'\''
        s = ' --patch-save-dir ' +'\''+ save_dir + '/' + model + '/' + proxy_data + '/' + 'group_' + group +'\''
        g = ' --GPU-device 1 '
        out = proxy_data + '_group_' + group +'.txt'
        print('CURRENT COMMEND: '+'python -u patch_generation.py' + p + m + s + g +'>'+out)
        os.system('python -u patch_generation.py' + p + m + s + g + '>' + out)
        print(proxy_data + ' ' + 'group_' + group + ' is done!' )





save_dir =  'generated_patch'
proxy_datas = ['KITTI','MSCOCO']
groups = ['1','2']
model = 'resnet34'

for proxy_data in proxy_datas:
    for group in groups:
        p = ' --proxy-data ' +'\'' + proxy_data +'\''
        m = ' --model '+ '\'' + model +'\''
        s = ' --patch-save-dir ' +'\''+ save_dir + '/' + model + '/' + proxy_data + '/' + 'group_' + group +'\''
        g = ' --GPU-device 1 '
        out = proxy_data + '_group_' + group +'.txt'
        print('CURRENT COMMEND: '+'python -u patch_generation.py' + p + m + s + g +'>'+out)
        os.system('python -u patch_generation.py' + p + m + s + g + '>' + out)
        print(proxy_data + ' ' + 'group_' + group + ' is done!' )





save_dir =  'generated_patch'
proxy_datas = ['KITTI','MSCOCO']
groups = ['1','2']
model = 'vgg19'

for proxy_data in proxy_datas:
    for group in groups:
        p = ' --proxy-data ' +'\'' + proxy_data +'\''
        m = ' --model '+ '\'' + model +'\''
        s = ' --patch-save-dir ' +'\''+ save_dir + '/' + model + '/' + proxy_data + '/' + 'group_' + group +'\''
        g = ' --GPU-device 1 '
        out = proxy_data + '_group_' + group +'.txt'
        print('CURRENT COMMEND: '+'python -u patch_generation.py' + p + m + s + g +'>'+out)
        os.system('python -u patch_generation.py' + p + m + s + g + '>' + out)
        print(proxy_data + ' ' + 'group_' + group + ' is done!' )







save_dir =  'generated_patch'
proxy_datas = ['KITTI','MSCOCO']
groups = ['1','2']
model = 'GoogLeNet'

for proxy_data in proxy_datas:
    for group in groups:
        p = ' --proxy-data ' +'\'' + proxy_data +'\''
        m = ' --model '+ '\'' + model +'\''
        s = ' --patch-save-dir ' +'\''+ save_dir + '/' + model + '/' + proxy_data + '/' + 'group_' + group +'\''
        g = ' --GPU-device 1 '
        out = proxy_data + '_group_' + group +'.txt'
        print('CURRENT COMMEND: '+'python -u patch_generation.py' + p + m + s + g +'>'+out)
        os.system('python -u patch_generation.py' + p + m + s + g + '>' + out)
        print(proxy_data + ' ' + 'group_' + group + ' is done!' )